package ibspan.ecap.merchant.shopdecisions.dataaccess;

/**
 * A class representing a single wholesaler.
 * @author  Micha Drozdowicz
 */
public class WholesalerEntity
{
	private String globalId;

	/**
	 *  Creates a new instance of <code>WholesalerEntity</code>.
	 *
	 * @param globalId the global id.
	 */
	public WholesalerEntity(String globalId)
	{
		this.globalId = globalId;
	}

	/**
	 * Gets the global id.
	 *
	 * @return the global id
	 */
	public String getGlobalId()
	{
		return globalId;
	}
	
	
}
