/*****************************************************************
 E-commerce Agent-based Platform
 Copyright (C) 2006-2008 SRI PAS

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor,  Boston, MA  
 02110-1301, USA.
 *****************************************************************/
package ibspan.ecap.shared.ontology.negotiation;

import jade.content.Predicate;

import java.util.Date;

/**
 * 
 * @author Maciej Gawinecki, SRI PAS
 */
public class DemandForProduct implements Predicate {
	private String globalProductId;
	private Date when;
	private DemandData demand;
	
	public String getGlobalProductId() {
		return globalProductId;
	}
	public void setGlobalProductId(String globalProductId) {
		this.globalProductId = globalProductId;
	}
	public Date getWhen() {
		return when;
	}
	public void setWhen(Date when) {
		this.when = when;
	}
	
	public DemandData getDemand() {
		return demand;
	}
	public void setDemand(DemandData demand) {
		this.demand = demand;
	}
	
	
}
